# Client | xrpl
Documentation for xrpl

# Class Client

Client for interacting with rippled servers.

#### Hierarchy

- EventEmitter
  - Client
    - BroadcastClient

- Defined in packages/xrpl/src/client/index.ts:181

#####
Index

### Constructor

constructor

### Abstraction

getBalances
getLedgerIndex
getOrderbook
getXrpBalance

### Core

autofill
submit
submitAndWait

### Faucet

fundWallet

### Fee

feeCushion
maxFeeXRP

### Network

url
connect
disconnect
isConnected
on
request
requestAll
requestNextPage

### Other

connection
prepareTransaction
captureRejectionSymbol
captureRejections
defaultMaxListeners
errorMonitor
addListener
emit
eventNames
getMaxListeners
listenerCount
listeners
off
once
prependListener
prependOnceListener
rawListeners
removeAllListeners
removeListener
setMaxListeners
listenerCount
on
once

## Constructor

- new Client(server: string, options?: ClientOptions ): Client

- Creates a new Client with a websocket connection to a rippled server.

  #### Parameters

  - ##### server: string

    URL of the server to connect to.

  - ##### options: ClientOptions = {}

    Options for client settings.

  #### Returns Client

  Overrides EventEmitter.constructor

  - Defined in packages/xrpl/src/client/index.ts:211

## Abstraction

### getBalances

getBalances: ((this: Client, address: string, options?: {
ledger_hash?: string;
ledger_index?: LedgerIndex;
limit?: number;
peer?: string;
}) => Promise<{
currency: string;
issuer?: string;
value: string;
}[]>) = getBalances

#### Type declaration

- - (this: Client, address: string, options?: {
    ledger_hash?: string;
    ledger_index?: LedgerIndex;
    limit?: number;
    peer?: string;
    }): Promise<{
    currency: string;
    issuer?: string;
    value: string;
    }[]>

  - #### Parameters

    - ##### this: Client

    - ##### address: string

    - ##### options: {
      ledger_hash?: string;
      ledger_index?: LedgerIndex;
      limit?: number;
      peer?: string;
      } = {}

      - ##### `Optional` ledger_hash?: string

      - ##### `Optional` ledger_index?: LedgerIndex

      - ##### `Optional` limit?: number

      - ##### `Optional` peer?: string

    #### Returns Promise<{
    currency: string;
    issuer?: string;
    value: string;
    }[]>

- Defined in packages/xrpl/src/client/index.ts:625

### getLedgerIndex

getLedgerIndex: ((this: Client ) => Promise<number>) = getLedgerIndex

#### Type declaration

- - (this: Client ): Promise<number>

  - #### Parameters

    - ##### this: Client

    #### Returns Promise<number>

- Defined in packages/xrpl/src/client/index.ts:635

### getOrderbook

getOrderbook: ((this: Client, takerPays: TakerAmount, takerGets: TakerAmount, options?: {
ledger_hash?: null | string;
ledger_index?: LedgerIndex;
limit?: number;
taker?: null | string;
}) => Promise<{
buy: BookOffer [];
sell: BookOffer [];
}>) = getOrderbook

#### Type declaration

- - (this: Client, takerPays: TakerAmount, takerGets: TakerAmount, options?: {
    ledger_hash?: null | string;
    ledger_index?: LedgerIndex;
    limit?: number;
    taker?: null | string;
    }): Promise<{
    buy: BookOffer [];
    sell: BookOffer [];
    }>

  - #### Parameters

    - ##### this: Client

    - ##### takerPays: TakerAmount

    - ##### takerGets: TakerAmount

    - ##### options: {
      ledger_hash?: null | string;
      ledger_index?: LedgerIndex;
      limit?: number;
      taker?: null | string;
      } = {}

      - ##### `Optional` ledger_hash?: null | string

      - ##### `Optional` ledger_index?: LedgerIndex

      - ##### `Optional` limit?: number

      - ##### `Optional` taker?: null | string

    #### Returns Promise<{
    buy: BookOffer [];
    sell: BookOffer [];
    }>

- Defined in packages/xrpl/src/client/index.ts:630

### getXrpBalance

getXrpBalance: ((this: Client, address: string, options?: {
ledger_hash?: string;
ledger_index?: LedgerIndex;
}) => Promise<string>) = getXrpBalance

#### Type declaration

- - (this: Client, address: string, options?: {
    ledger_hash?: string;
    ledger_index?: LedgerIndex;
    }): Promise<string>

  - #### Parameters

    - ##### this: Client

    - ##### address: string

    - ##### options: {
      ledger_hash?: string;
      ledger_index?: LedgerIndex;
      } = {}

      - ##### `Optional` ledger_hash?: string

      - ##### `Optional` ledger_index?: LedgerIndex

    #### Returns Promise<string>

- Defined in packages/xrpl/src/client/index.ts:620

## Core

### autofill

autofill: (<T>(this: Client, transaction: T, signersCount?: number) => Promise<T>) = autofill

#### Type declaration

- - <T>(this: Client, transaction: T, signersCount?: number): Promise<T>

  - #### Type Parameters

    - #### T extends Transaction

    #### Parameters

    - ##### this: Client

    - ##### transaction: T

    - ##### `Optional` signersCount: number

    #### Returns Promise<T>

- Defined in packages/xrpl/src/client/index.ts:601

### submit

submit: ((this: Client, transaction: string | Transaction, opts?: {
autofill?: boolean;
failHard?: boolean;
wallet?: Wallet ;
}) => Promise< SubmitResponse >) = submit

#### Type declaration

- - (this: Client, transaction: string | Transaction, opts?: {
    autofill?: boolean;
    failHard?: boolean;
    wallet?: Wallet ;
    }): Promise< SubmitResponse >

  - #### Parameters

    - ##### this: Client

    - ##### transaction: string | Transaction

    - ##### `Optional` opts: {
      autofill?: boolean;
      failHard?: boolean;
      wallet?: Wallet ;
      }

      - ##### `Optional` autofill?: boolean

      - ##### `Optional` failHard?: boolean

      - ##### `Optional` wallet?: Wallet

    #### Returns Promise< SubmitResponse >

- Defined in packages/xrpl/src/client/index.ts:606

### submitAndWait

submitAndWait: ((this: Client, transaction: string | Transaction, opts?: {
autofill?: boolean;
failHard?: boolean;
wallet?: Wallet ;
}) => Promise< TxResponse >) = submitAndWait

#### Type declaration

- - (this: Client, transaction: string | Transaction, opts?: {
    autofill?: boolean;
    failHard?: boolean;
    wallet?: Wallet ;
    }): Promise< TxResponse >

  - #### Parameters

    - ##### this: Client

    - ##### transaction: string | Transaction

    - ##### `Optional` opts: {
      autofill?: boolean;
      failHard?: boolean;
      wallet?: Wallet ;
      }

      - ##### `Optional` autofill?: boolean

      - ##### `Optional` failHard?: boolean

      - ##### `Optional` wallet?: Wallet

    #### Returns Promise< TxResponse >

- Defined in packages/xrpl/src/client/index.ts:610

## Faucet

### fundWallet

fundWallet: ((this: Client, wallet?: null | Wallet, options?: {
amount?: string;
faucetHost?: string;
faucetPath?: string;
}) => Promise<{
balance: number;
wallet: Wallet ;
}>) = fundWallet

#### Type declaration

- - (this: Client, wallet?: null | Wallet, options?: {
    amount?: string;
    faucetHost?: string;
    faucetPath?: string;
    }): Promise<{
    balance: number;
    wallet: Wallet ;
    }>

  - #### Parameters

    - ##### this: Client

    - ##### `Optional` wallet: null | Wallet

    - ##### `Optional` options: {
      amount?: string;
      faucetHost?: string;
      faucetPath?: string;
      }

      - ##### `Optional` amount?: string

      - ##### `Optional` faucetHost?: string

      - ##### `Optional` faucetPath?: string

    #### Returns Promise<{
    balance: number;
    wallet: Wallet ;
    }>

- Defined in packages/xrpl/src/client/index.ts:640

## Fee

### `Readonly` feeCushion

feeCushion: number

Factor to multiply estimated fee by to provide a cushion in case the required fee rises during submission of a transaction. Defaults to 1.2.

- Defined in packages/xrpl/src/client/index.ts:193

### `Readonly` maxFeeXRP

maxFeeXRP: string

Maximum transaction cost to allow, in decimal XRP. Must be a string-encoded number. Defaults to '2'.

- Defined in packages/xrpl/src/client/index.ts:201

## Network

### url

- get url(): string

- Get the url that the client is connected to.

  ### Returns

  The URL of the server this client is connected to.

  #### Returns string

  - Defined in packages/xrpl/src/client/index.ts:281

### connect

- connect(): Promise<void>

- Tells the Client instance to connect to its rippled server.

  ### Returns

  A promise that resolves with a void value when a connection is established.

  #### Returns Promise<void>

  - Defined in packages/xrpl/src/client/index.ts:570

### disconnect

- disconnect(): Promise<void>

- Tells the Client instance to disconnect from it's rippled server.

  ### Returns

  A promise that resolves with a void value when a connection is destroyed.

  #### Returns Promise<void>

  - Defined in packages/xrpl/src/client/index.ts:580

### isConnected

- isConnected(): boolean

- Checks if the Client instance is connected to its rippled server.

  ### Returns

  Whether the client instance is connected.

  #### Returns boolean

  - Defined in packages/xrpl/src/client/index.ts:594

### on

- on(event: "connected", listener: (() => void)): Client

- Event handler for subscription streams.

  ### Example

      const api = new Client('wss://s.altnet.rippletest.net:51233')

      api.on('transactions', (tx: TransactionStream) => {
       console.log("Received Transaction")
       console.log(tx)
      })

      await api.connect()
      const response = await api.request({
          command: 'subscribe',
          streams: ['transactions_proposed']
      })

  #### Parameters

  - ##### event: "connected"

  - ##### listener: (() => void)

    - - (): void

      - #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:436
- on(event: "disconnected", listener: ((code: number) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "disconnected"

  - ##### listener: ((code: number) => void)

    Function to run on event.

    - - (code: number): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:437
- on(event: "ledgerClosed", listener: ((ledger: LedgerStream ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "ledgerClosed"

  - ##### listener: ((ledger: LedgerStream ) => void)

    Function to run on event.

    - - (ledger: LedgerStream ): void

      - #### Parameters

        - ##### ledger: LedgerStream

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:438
- on(event: "validationReceived", listener: ((validation: ValidationStream ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "validationReceived"

  - ##### listener: ((validation: ValidationStream ) => void)

    Function to run on event.

    - - (validation: ValidationStream ): void

      - #### Parameters

        - ##### validation: ValidationStream

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:442
- on(event: "transaction", listener: ((tx: TransactionStream ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "transaction"

  - ##### listener: ((tx: TransactionStream ) => void)

    Function to run on event.

    - - (tx: TransactionStream ): void

      - #### Parameters

        - ##### tx: TransactionStream

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:446
- on(event: "peerStatusChange", listener: ((status: PeerStatusStream ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "peerStatusChange"

  - ##### listener: ((status: PeerStatusStream ) => void)

    Function to run on event.

    - - (status: PeerStatusStream ): void

      - #### Parameters

        - ##### status: PeerStatusStream

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:450
- on(event: "consensusPhase", listener: ((phase: ConsensusStream ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "consensusPhase"

  - ##### listener: ((phase: ConsensusStream ) => void)

    Function to run on event.

    - - (phase: ConsensusStream ): void

      - #### Parameters

        - ##### phase: ConsensusStream

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:454
- on(event: "manifestReceived", listener: ((manifest: ManifestResponse ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "manifestReceived"

  - ##### listener: ((manifest: ManifestResponse ) => void)

    Function to run on event.

    - - (manifest: ManifestResponse ): void

      - #### Parameters

        - ##### manifest: ManifestResponse

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:458
- on(event: "path_find", listener: ((path: PathFindStream ) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "path_find"

  - ##### listener: ((path: PathFindStream ) => void)

    Function to run on event.

    - - (path: PathFindStream ): void

      - #### Parameters

        - ##### path: PathFindStream

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:462
- on(event: "error", listener: ((...err: any[]) => void)): Client

- Event handler for subscription streams.

  ### Returns

  This, because it inherits from EventEmitter.

  #### Parameters

  - ##### event: "error"

  - ##### listener: ((...err: any[]) => void)

    Function to run on event.

    - - (...err: any[]): void

      - #### Parameters

        - ##### `Rest` ...err: any[]

        #### Returns void

  #### Returns Client

  Overrides EventEmitter.on

  - Defined in packages/xrpl/src/client/index.ts:464

### request

- request(r: AccountChannelsRequest ): Promise< AccountChannelsResponse >

- #### Parameters

  - ##### r: AccountChannelsRequest

  #### Returns Promise< AccountChannelsResponse >

  - Defined in packages/xrpl/src/client/index.ts:288
- request(r: AccountCurrenciesRequest ): Promise< AccountCurrenciesResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountCurrenciesRequest

  #### Returns Promise< AccountCurrenciesResponse >

  - Defined in packages/xrpl/src/client/index.ts:291
- request(r: AccountInfoRequest ): Promise< AccountInfoResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountInfoRequest

  #### Returns Promise< AccountInfoResponse >

  - Defined in packages/xrpl/src/client/index.ts:294
- request(r: AccountLinesRequest ): Promise< AccountLinesResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountLinesRequest

  #### Returns Promise< AccountLinesResponse >

  - Defined in packages/xrpl/src/client/index.ts:295
- request(r: AccountNFTsRequest ): Promise< AccountNFTsResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountNFTsRequest

  #### Returns Promise< AccountNFTsResponse >

  - Defined in packages/xrpl/src/client/index.ts:296
- request(r: AccountObjectsRequest ): Promise< AccountObjectsResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountObjectsRequest

  #### Returns Promise< AccountObjectsResponse >

  - Defined in packages/xrpl/src/client/index.ts:297
- request(r: AccountOffersRequest ): Promise< AccountOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountOffersRequest

  #### Returns Promise< AccountOffersResponse >

  - Defined in packages/xrpl/src/client/index.ts:300
- request(r: AccountTxRequest ): Promise< AccountTxResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: AccountTxRequest

  #### Returns Promise< AccountTxResponse >

  - Defined in packages/xrpl/src/client/index.ts:301
- request(r: BookOffersRequest ): Promise< BookOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: BookOffersRequest

  #### Returns Promise< BookOffersResponse >

  - Defined in packages/xrpl/src/client/index.ts:302
- request(r: ChannelVerifyRequest ): Promise< ChannelVerifyResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: ChannelVerifyRequest

  #### Returns Promise< ChannelVerifyResponse >

  - Defined in packages/xrpl/src/client/index.ts:303
- request(r: DepositAuthorizedRequest ): Promise< DepositAuthorizedResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: DepositAuthorizedRequest

  #### Returns Promise< DepositAuthorizedResponse >

  - Defined in packages/xrpl/src/client/index.ts:304
- request(r: FeeRequest ): Promise< FeeResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: FeeRequest

  #### Returns Promise< FeeResponse >

  - Defined in packages/xrpl/src/client/index.ts:307
- request(r: GatewayBalancesRequest ): Promise< GatewayBalancesResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: GatewayBalancesRequest

  #### Returns Promise< GatewayBalancesResponse >

  - Defined in packages/xrpl/src/client/index.ts:308
- request(r: LedgerRequest ): Promise< LedgerResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: LedgerRequest

  #### Returns Promise< LedgerResponse >

  - Defined in packages/xrpl/src/client/index.ts:311
- request(r: LedgerClosedRequest ): Promise< LedgerClosedResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: LedgerClosedRequest

  #### Returns Promise< LedgerClosedResponse >

  - Defined in packages/xrpl/src/client/index.ts:312
- request(r: LedgerCurrentRequest ): Promise< LedgerCurrentResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: LedgerCurrentRequest

  #### Returns Promise< LedgerCurrentResponse >

  - Defined in packages/xrpl/src/client/index.ts:313
- request(r: LedgerDataRequest ): Promise< LedgerDataResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: LedgerDataRequest

  #### Returns Promise< LedgerDataResponse >

  - Defined in packages/xrpl/src/client/index.ts:314
- request(r: LedgerEntryRequest ): Promise< LedgerEntryResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: LedgerEntryRequest

  #### Returns Promise< LedgerEntryResponse >

  - Defined in packages/xrpl/src/client/index.ts:315
- request(r: ManifestRequest ): Promise< ManifestResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: ManifestRequest

  #### Returns Promise< ManifestResponse >

  - Defined in packages/xrpl/src/client/index.ts:316
- request(r: NFTBuyOffersRequest ): Promise< NFTBuyOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: NFTBuyOffersRequest

  #### Returns Promise< NFTBuyOffersResponse >

  - Defined in packages/xrpl/src/client/index.ts:317
- request(r: NFTSellOffersRequest ): Promise< NFTSellOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: NFTSellOffersRequest

  #### Returns Promise< NFTSellOffersResponse >

  - Defined in packages/xrpl/src/client/index.ts:318
- request(r: NoRippleCheckRequest ): Promise< NoRippleCheckResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: NoRippleCheckRequest

  #### Returns Promise< NoRippleCheckResponse >

  - Defined in packages/xrpl/src/client/index.ts:319
- request(r: PathFindRequest ): Promise< PathFindResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: PathFindRequest

  #### Returns Promise< PathFindResponse >

  - Defined in packages/xrpl/src/client/index.ts:320
- request(r: PingRequest ): Promise< PingResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: PingRequest

  #### Returns Promise< PingResponse >

  - Defined in packages/xrpl/src/client/index.ts:321
- request(r: RandomRequest ): Promise< RandomResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: RandomRequest

  #### Returns Promise< RandomResponse >

  - Defined in packages/xrpl/src/client/index.ts:322
- request(r: RipplePathFindRequest ): Promise< RipplePathFindResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: RipplePathFindRequest

  #### Returns Promise< RipplePathFindResponse >

  - Defined in packages/xrpl/src/client/index.ts:323
- request(r: ServerInfoRequest ): Promise< ServerInfoResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: ServerInfoRequest

  #### Returns Promise< ServerInfoResponse >

  - Defined in packages/xrpl/src/client/index.ts:326
- request(r: ServerStateRequest ): Promise< ServerStateResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: ServerStateRequest

  #### Returns Promise< ServerStateResponse >

  - Defined in packages/xrpl/src/client/index.ts:327
- request(r: SubmitRequest ): Promise< SubmitResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: SubmitRequest

  #### Returns Promise< SubmitResponse >

  - Defined in packages/xrpl/src/client/index.ts:328
- request(r: SubmitMultisignedRequest ): Promise< SubmitMultisignedResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: SubmitMultisignedRequest

  #### Returns Promise< SubmitMultisignedResponse >

  - Defined in packages/xrpl/src/client/index.ts:329
- request(r: SubscribeRequest ): Promise< SubscribeResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: SubscribeRequest

  #### Returns Promise< SubscribeResponse >

  - Defined in packages/xrpl/src/client/index.ts:332
- request(r: UnsubscribeRequest ): Promise< UnsubscribeResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: UnsubscribeRequest

  #### Returns Promise< UnsubscribeResponse >

  - Defined in packages/xrpl/src/client/index.ts:333
- request(r: TransactionEntryRequest ): Promise< TransactionEntryResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: TransactionEntryRequest

  #### Returns Promise< TransactionEntryResponse >

  - Defined in packages/xrpl/src/client/index.ts:334
- request(r: TxRequest ): Promise< TxResponse >

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Parameters

  - ##### r: TxRequest

  #### Returns Promise< TxResponse >

  - Defined in packages/xrpl/src/client/index.ts:337
- request<R, T>(r: R): Promise<T>

- Makes a request to the client with the given command and additional request body parameters.

  ### Returns

  The response from the server.

  #### Type Parameters

  - #### R extends BaseRequest

  - #### T extends BaseResponse

  #### Parameters

  - ##### r: R

  #### Returns Promise<T>

  - Defined in packages/xrpl/src/client/index.ts:338

### requestAll

- requestAll(req: AccountChannelsRequest ): Promise< AccountChannelsResponse []>

- #### Parameters

  - ##### req: AccountChannelsRequest

  #### Returns Promise< AccountChannelsResponse []>

  - Defined in packages/xrpl/src/client/index.ts:480
- requestAll(req: AccountLinesRequest ): Promise< AccountLinesResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  ### Returns

  The array of all responses.

  ### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  #### Parameters

  - ##### req: AccountLinesRequest

  #### Returns Promise< AccountLinesResponse []>

  - Defined in packages/xrpl/src/client/index.ts:483
- requestAll(req: AccountObjectsRequest ): Promise< AccountObjectsResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  ### Returns

  The array of all responses.

  ### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  #### Parameters

  - ##### req: AccountObjectsRequest

  #### Returns Promise< AccountObjectsResponse []>

  - Defined in packages/xrpl/src/client/index.ts:486
- requestAll(req: AccountOffersRequest ): Promise< AccountOffersResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  ### Returns

  The array of all responses.

  ### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  #### Parameters

  - ##### req: AccountOffersRequest

  #### Returns Promise< AccountOffersResponse []>

  - Defined in packages/xrpl/src/client/index.ts:489
- requestAll(req: AccountTxRequest ): Promise< AccountTxResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  ### Returns

  The array of all responses.

  ### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  #### Parameters

  - ##### req: AccountTxRequest

  #### Returns Promise< AccountTxResponse []>

  - Defined in packages/xrpl/src/client/index.ts:492
- requestAll(req: BookOffersRequest ): Promise< BookOffersResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  ### Returns

  The array of all responses.

  ### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  #### Parameters

  - ##### req: BookOffersRequest

  #### Returns Promise< BookOffersResponse []>

  - Defined in packages/xrpl/src/client/index.ts:493
- requestAll(req: LedgerDataRequest ): Promise< LedgerDataResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  ### Returns

  The array of all responses.

  ### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  #### Parameters

  - ##### req: LedgerDataRequest

  #### Returns Promise< LedgerDataResponse []>

  - Defined in packages/xrpl/src/client/index.ts:494

### requestNextPage

- requestNextPage(req: AccountChannelsRequest, resp: AccountChannelsResponse ): Promise< AccountChannelsResponse >

- #### Parameters

  - ##### req: AccountChannelsRequest

  - ##### resp: AccountChannelsResponse

  #### Returns Promise< AccountChannelsResponse >

  - Defined in packages/xrpl/src/client/index.ts:370
- requestNextPage(req: AccountLinesRequest, resp: AccountLinesResponse ): Promise< AccountLinesResponse >

- Requests the next page of data.

  ### Returns

  The response with the next page of data.

  #### Parameters

  - ##### req: AccountLinesRequest

    Request to send.

  - ##### resp: AccountLinesResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountLinesResponse >

  - Defined in packages/xrpl/src/client/index.ts:374
- requestNextPage(req: AccountObjectsRequest, resp: AccountObjectsResponse ): Promise< AccountObjectsResponse >

- Requests the next page of data.

  ### Returns

  The response with the next page of data.

  #### Parameters

  - ##### req: AccountObjectsRequest

    Request to send.

  - ##### resp: AccountObjectsResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountObjectsResponse >

  - Defined in packages/xrpl/src/client/index.ts:378
- requestNextPage(req: AccountOffersRequest, resp: AccountOffersResponse ): Promise< AccountOffersResponse >

- Requests the next page of data.

  ### Returns

  The response with the next page of data.

  #### Parameters

  - ##### req: AccountOffersRequest

    Request to send.

  - ##### resp: AccountOffersResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountOffersResponse >

  - Defined in packages/xrpl/src/client/index.ts:382
- requestNextPage(req: AccountTxRequest, resp: AccountTxResponse ): Promise< AccountTxResponse >

- Requests the next page of data.

  ### Returns

  The response with the next page of data.

  #### Parameters

  - ##### req: AccountTxRequest

    Request to send.

  - ##### resp: AccountTxResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountTxResponse >

  - Defined in packages/xrpl/src/client/index.ts:386
- requestNextPage(req: LedgerDataRequest, resp: LedgerDataResponse ): Promise< LedgerDataResponse >

- Requests the next page of data.

  ### Returns

  The response with the next page of data.

  #### Parameters

  - ##### req: LedgerDataRequest

    Request to send.

  - ##### resp: LedgerDataResponse

    Response with the marker to use in the request.

  #### Returns Promise< LedgerDataResponse >

  - Defined in packages/xrpl/src/client/index.ts:390

## Other

### `Readonly` connection

connection: Connection

- Defined in packages/xrpl/src/client/index.ts:185

### prepareTransaction

prepareTransaction: (<T>(this: Client, transaction: T, signersCount?: number) => Promise<T>) = autofill

#### Type declaration

- - <T>(this: Client, transaction: T, signersCount?: number): Promise<T>

  - ### Deprecated

    Use autofill instead, provided for users familiar with v1

    #### Type Parameters

    - #### T extends Transaction

    #### Parameters

    - ##### this: Client

    - ##### transaction: T

    - ##### `Optional` signersCount: number

    #### Returns Promise<T>

- Defined in packages/xrpl/src/client/index.ts:615

### `Static` `Readonly` captureRejectionSymbol

captureRejectionSymbol: typeof captureRejectionSymbol

Inherited from EventEmitter.captureRejectionSymbol

- Defined in node_modules/@types/node/events.d.ts:38

### `Static` captureRejections

captureRejections: boolean

Sets or gets the default captureRejection value for all emitters.

Inherited from EventEmitter.captureRejections

- Defined in node_modules/@types/node/events.d.ts:44

### `Static` defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:45

### `Static` `Readonly` errorMonitor

errorMonitor: typeof errorMonitor

This symbol shall be used to install a listener for only monitoring `'error'` events. Listeners installed using this symbol are called before the regular `'error'` listeners are called.

Installing a listener using this symbol does not change the behavior once an `'error'` event is emitted, therefore the process will still crash if no regular `'error'` listener is installed.

Inherited from EventEmitter.errorMonitor

- Defined in node_modules/@types/node/events.d.ts:37

### addListener

- addListener(event: string | symbol, listener: ((...args: any[]) => void)): Client

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args: any[]) => void)

    - - (...args: any[]): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns Client

  Inherited from EventEmitter.addListener

  - Defined in node_modules/@types/node/events.d.ts:57

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- #### Parameters

  - ##### event: string | symbol

  - ##### `Rest` ...args: any[]

  #### Returns boolean

  Inherited from EventEmitter.emit

  - Defined in node_modules/@types/node/events.d.ts:67

### eventNames

- eventNames(): (string | symbol)[]

- #### Returns (string | symbol)[]

  Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:72

### getMaxListeners

- getMaxListeners(): number

- #### Returns number

  Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:64

### listenerCount

- listenerCount(event: string | symbol): number

- #### Parameters

  - ##### event: string | symbol

  #### Returns number

  Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:68

### listeners

- listeners(event: string | symbol): Function[]

- #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

  Inherited from EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:65

### off

- off(event: string | symbol, listener: ((...args: any[]) => void)): Client

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args: any[]) => void)

    - - (...args: any[]): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns Client

  Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:61

### once

- once(event: string | symbol, listener: ((...args: any[]) => void)): Client

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args: any[]) => void)

    - - (...args: any[]): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns Client

  Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:59

### prependListener

- prependListener(event: string | symbol, listener: ((...args: any[]) => void)): Client

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args: any[]) => void)

    - - (...args: any[]): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns Client

  Inherited from EventEmitter.prependListener

  - Defined in node_modules/@types/node/events.d.ts:70

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: ((...args: any[]) => void)): Client

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args: any[]) => void)

    - - (...args: any[]): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns Client

  Inherited from EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/events.d.ts:71

### rawListeners

- rawListeners(event: string | symbol): Function[]

- #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

  Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:66

### removeAllListeners

- removeAllListeners(event?: string | symbol): Client

- #### Parameters

  - ##### `Optional` event: string | symbol

  #### Returns Client

  Inherited from EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:62

### removeListener

- removeListener(event: string | symbol, listener: ((...args: any[]) => void)): Client

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args: any[]) => void)

    - - (...args: any[]): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

        #### Returns void

  #### Returns Client

  Inherited from EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:60

### setMaxListeners

- setMaxListeners(n: number): Client

- #### Parameters

  - ##### n: number

  #### Returns Client

  Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:63

### `Static` listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- ### Deprecated

  since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

  Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:26

### `Static` on

- on(emitter: EventEmitter, event: string): AsyncIterableIterator<any>

- #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string

  #### Returns AsyncIterableIterator<any>

  Inherited from EventEmitter.on

  - Defined in node_modules/@types/node/events.d.ts:23

### `Static` once

- once(emitter: NodeEventTarget, event: string | symbol): Promise<any[]>

- #### Parameters

  - ##### emitter: NodeEventTarget

  - ##### event: string | symbol

  #### Returns Promise<any[]>

  Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:21
- once(emitter: DOMEventTarget, event: string): Promise<any[]>

- #### Parameters

  - ##### emitter: DOMEventTarget

  - ##### event: string

  #### Returns Promise<any[]>

  Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:22

Generated using TypeDoc